//
// Created by Иван_Архипов on 24.11.2017.
//

#ifndef LOTRO_DAT_LIBRARY_FONTSUBFILE_H
#define LOTRO_DAT_LIBRARY_FONTSUBFILE_H


#include "../Subfile.h"

namespace LOTRO_DAT {
    class FontSubfile : public Subfile {
    public:
        FontSubfile();
        FontSubfile(DatFile *dat, long long dictionary_offset, long long fragments_count, long long unknown1, long long file_id, long long file_offset,
                   long long file_size, long long timestamp, long long version, long long block_size);
        ~FontSubfile() override {};

        FILE_TYPE FileType() const override;
        std::string Extension() const override;

        bool PrepareForExport(const BinaryData &file_data, long long &export_size, std::vector<BinaryData> &binary_data,
                                      std::vector<std::u16string> &text_data, std::vector<YAML::Node> &options) override;

        BinaryData MakeForImport(const BinaryData &old_data, const BinaryData &binary_data,
                                         const std::u16string &text_data, const YAML::Node &options) override;

    };
};



#endif //LOTRO_DAT_LIBRARY_FONTSUBFILE_H
